
%if 0%{?fedora} > 8
# KDE4
%define kdessconfigdir %{_datadir}/kde4/services/ScreenSavers
%else
# KDE3
%define kdessconfigdir %{_datadir}/applnk/System/ScreenSavers
%endif

Name:           qstars
Version:        0.4
Release:        6%{?dist}
Summary:        A screensaver simulating planets and asteroids in space
Group:          Amusements/Graphics
License:        GPL+
URL:            http://qt.osdn.org.ua/qstars.html
Source0:        http://qt.osdn.org.ua/%{name}-%{version}.tar.gz
Source1:        %{name}.setup
Source2:        %{name}.conf
Patch0:         %{name}-0.4-desktop.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  qt3-devel >= 3.3

%description
A screensaver which simulates planets, asteroids and ships in a moving
starfield.


%package            xscreensaver
Summary:            XScreenSaver support for %{name}
Group:              Amusements/Graphics
Requires:           %{name} = %{version}-%{release}
Requires(post):     xscreensaver-base
Requires(postun):   xscreensaver-base

%description        xscreensaver
A screensaver which simulates planets, asteroids and ships in a moving
starfield. This package contains the files needed to use the hack with
xscreensaver.

# TODO: confirm these still work on kde4 -- Rex
%package        kde
Summary:        KDE screensaver support for %{name}
Group:          Amusements/Graphics
Requires:       %{name} = %{version}-%{release}
%if 0%{?fedora} <= 6
Requires:       kdeartwork-extras
%else
Requires:       kdeartwork-kxs
%endif

%description    kde
A screensaver which simulates planets, asteroids and ships in a moving
starfield. This package contains the files needed to use the hack with KDE.


%prep
%setup -q
%patch0 -p0 -b .orig

# Set installation in project file
sed -i 's|/local/|/|' %{name}.pro


%build
qmake
make clean
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/%{name}

# For xscreensaver
mkdir -p %{buildroot}%{_datadir}/xscreensaver/hacks.conf.d
install -p -m0644 %{SOURCE2} %{buildroot}%{_datadir}/xscreensaver/hacks.conf.d/


# For KDE
mkdir -p %{buildroot}%{kdessconfigdir}
install -p -m0755 %{name} %{buildroot}%{_bindir}/%{name}
install -p -m0755 %{SOURCE1} %{buildroot}%{_bindir}/
install -p -m0644 %{name}.desktop %{buildroot}%{kdessconfigdir}
cp -a ships galaxies planets asteroids %{buildroot}%{_datadir}/%{name}/


%clean
rm -rf %{buildroot}


%post xscreensaver
if [ -x %{_sbindir}/update-xscreensaver-hacks ] ; then
   %{_sbindir}/update-xscreensaver-hacks || :
fi


%postun xscreensaver
if [ -x %{_sbindir}/update-xscreensaver-hacks ] ; then
   %{_sbindir}/update-xscreensaver-hacks || :
fi


%files
%defattr(-,root,root,-)
%doc COPYING ChangeLog
%{_bindir}/%{name}
%{_bindir}/%{name}.setup
%{_datadir}/%{name}


%files xscreensaver
%defattr(-,root,root,-)
%{_datadir}/xscreensaver/hacks.conf.d/%{name}.conf


%files kde
%defattr(-,root,root,-)
%{kdessconfigdir}/%{name}.desktop


%changelog
* Wed Apr 02 2008 Rex Dieter <rdieter@fedoraproject.org> 0.4-6
- -kde: drop Requires: kdebase (kdeartwork-kxs dep is good enough) 
- set/use correct dir for kde4 screensavers (f9+)

* Fri Mar 21 2008 Ian Chapman <packages[AT]amiga-hardware.com> 0.4-5
- qt -> qt3 BR change

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.4-4
- Autorebuild for GCC 4.3

* Tue Oct  2 2007 Ian Chapman <packages[AT]amiga-hardware.com> 0.4-3
- Minor SPEC changes
- Removed gnome support, appears to be incompatible.

* Tue Oct  2 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp>  0.4-2
- Support xscreensaver, gnome-screensaver as wall as kxscreensaver

* Sat Sep 29 2007 Ian Chapman <packages[AT]amiga-hardware.com> 0.4-1
- Initial release
